<div
  class="input-field-component"
  [ngClass]="{ success: success, error: error }"
>
  <label class="input-wrapper">
    <span class="required" *ngIf="required">*</span>
    <span class="label">{{ label }}</span>
    <input
      [value]="value"
      class="input"
      [type]="type"
      [placeholder]="placeholder"
      (keyup)="checkValueOnKeyUp($event)"
      (blur)="checkValueOnBlur($event)"
      (keypress)="checkMaxLength($event)"
      (paste)="checkMaxLength($event)"
      [disabled]="disabledInput"
      [id]="inputId"
    />
  </label>
  <div class="text" *ngIf="showHelperText">{{ helperText }}</div>
</div>
